Skip to main content
PUT
/
user
/
profile
Update profile
curl --request PUT \
  --url https://api.buildwithtrace.com/api/v2/user/profile \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "full_name": "Jane Doe"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "jsmith@example.com",
  "full_name": "<string>",
  "plan": "free",
  "avatar_url": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

JWT access token. Get one via POST /auth/login or from the Trace app (Settings → API Token). Tokens expire after 1 hour.

Body

full_name
string
Example:

"Jane Doe"

Response

200 - application/json

Profile updated

id
string<uuid>
email
string<email>
full_name
string
plan
enum<string>
Available options:
free,
trial,
pro,
ultra,
team,
enterprise
avatar_url
string<uri>
created_at
string<date-time>